hc-httpclient-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Darren Govoni <dar...@ontrenet.com>
Subject Re: What.... happened?
Date Fri, 06 Apr 2012 18:10:53 GMT
And often times you get new programmers in who just don't like the old
programmers work and want to re-do it....happens a lot.

On Fri, 2012-04-06 at 11:17 -0400, Ryan Smith wrote:
> You could always use the old version that youre comfortable with.  Lots of
> projects still use 3.x.
> 
> When I migrated from 3.x to 4.x I had to make one or two new classes for
> the refactor but overall, not much changed.  I thought that too at first
> after looking at the new api.  I thought that nothing was compatible.
>  However, it is quite similar.  Changes were made for the better for sure.
> 
> hth,
> -Ryan
> 
> 
> 
> On Fri, Apr 6, 2012 at 11:04 AM, tommmmmm <tommmmmm@gmail.com> wrote:
> 
> > I used to work with HttpClient for some time now (with someone else's
> > project). And I liked it. Got pretty advanced with it too.
> > ... and then the day come I wanted to use it for my own project. Downloaded
> > it... and? OMG it's different. Everything IS literally different.
> >
> > This is the first time I saw so big change between versions. Nothing is
> > compatible.... I need to le-learn everything.
> > The term Backward compatibility is unknown to the apache people.....
> >
> > I am just so disappointed in you.
> >



---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-users-unsubscribe@hc.apache.org
For additional commands, e-mail: httpclient-users-help@hc.apache.org


Mime
View raw message